mysqli->errno
mysqli->field_count
MySQLi
PHP Manual

# mysqli->error

# mysqli_error

(PHP 5)

mysqli->error -- mysqli_error — Returns a string description of the last error

### Description

Object oriented style

mysqli
string $error;

Procedural style

string mysqli_error ( mysqli `$link` )

Returns the last error message for the most recent MySQLi function call that can succeed or fail.

### Parameters

`link`

  Procedural style only: A link identifier returned by mysqli_connect() or mysqli_init()

### Return Values

A string that describes the error. An empty string if no error occurred.

### Examples

Example #1 mysqli->error example

Object oriented style

`<?php
$mysqli = new mysqli("localhost", "my_user", "my_password", "world");
/* check connection */
if (mysqli_connect_errno()) {
printf("Connect failed: %s\n", mysqli_connect_error());
exit();
}
if (!$mysqli->query("SET a=1")) {
printf("Errormessage: %s\n", $mysqli->error);
}
/* close connection */
$mysqli->close();
?>`

Procedural style

`<?php
$link = mysqli_connect("localhost", "my_user", "my_password", "world");
/* check connection */
if (mysqli_connect_errno()) {
printf("Connect failed: %s\n", mysqli_connect_error());
exit();
}
if (!mysqli_query($link, "SET a=1")) {
printf("Errormessage: %s\n", mysqli_error($link));
}
/* close connection */
mysqli_close($link);
?>`

The above examples will output:

    Errormessage: Unknown system variable 'a'

### See Also

- mysqli_connect_errno() - Returns the error code from last connect call
- mysqli_connect_error() - Returns a string description of the last connect error
- mysqli_errno() - Returns the error code for the most recent function call
- mysqli_sqlstate() - Returns the SQLSTATE error from previous MySQL operation

mysqli->errno
mysqli->field_count
MySQLi
PHP Manual